/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.generic;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class WrapperTest {
    
    @Test
    public void testWrapper() {
        Wrapper<String> wrapper = Wrapper.wrap("hello");
        assertEquals("hello", wrapper.get());
        wrapper.set("world");
        assertEquals("world", wrapper.get());
    }
    
}
